org.gnome.gtk

## Class FontButton

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Widget
        - - org.gnome.gtk.Container
          - - org.gnome.gtk.Bin
            - - org.gnome.gtk.Button
              - - org.gnome.gtk.FontButton

- All Implemented Interfaces:
    Activatable

      public class FontButton
      extends Button

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `FontButton.FontSet` The signal emitted when a font is selected.

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Button

      `Button.Clicked`

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Widget

      `Widget.ButtonPressEvent, Widget.ButtonReleaseEvent, Widget.Destroy, Widget.Draw, Widget.EnterNotifyEvent, Widget.FocusInEvent, Widget.FocusOutEvent, Widget.Hide, Widget.KeyPressEvent, Widget.KeyReleaseEvent, Widget.LeaveNotifyEvent, Widget.MapEvent, Widget.MotionNotifyEvent, Widget.PopupMenu, Widget.QueryTooltip, Widget.ScrollEvent, Widget.SizeAllocate, Widget.UnmapEvent, Widget.VisibilityNotifyEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontButton()` Construct a FontButton.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect(FontButton.FontSet handler)` Hook up a `FontButton.FontSet` handler.
    `String` | `getFontName()` Get the name of the font currently selected by this FontButton.
    `void` | `setFontName(String name)` Set the font name to be show in this FontButton.
    `void` | `setShowSize(boolean setting)` Whether the font size is to be shown on the FontButton.

    - ### Methods inherited from class org.gnome.gtk.Button

      `connect, emitClicked, getAlignmentX, getAlignmentY, getImage, getLabel, getRelatedAction, getRelief, setAlignment, setFocusOnClick, setImage, setLabel, setRelatedAction, setRelief`

    - ### Methods inherited from class org.gnome.gtk.Bin

      `getChild`

    - ### Methods inherited from class org.gnome.gtk.Container

      `add, getChildren, remove, setBorderWidth`

    - ### Methods inherited from class org.gnome.gtk.Widget

      `activate, addEvents, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, destroy, getAllocatedHeight, getAllocatedWidth, getAllocation, getCanDefault, getCanFocus, getHasFocus, getName, getParent, getPreferredHeightForWidthMinimum, getPreferredHeightForWidthNatural, getPreferredHeightMinimum, getPreferredHeightNatural, getPreferredWidthForHeightMinimum, getPreferredWidthForHeightNatural, getPreferredWidthMinimum, getPreferredWidthNatural, getRequestMode, getRequisition, getSensitive, getStyleContext, getToplevel, getWindow, grabAdd, grabDefault, grabFocus, grabRemove, hide, isSensitive, overrideBackground, overrideColor, overrideFont, queueDraw, queueDrawArea, realize, setAlignHorizontal, setAlignVertical, setCanDefault, setCanFocus, setEvents, setExpandHorizontal, setExpandVertical, setName, setSensitive, setSizeRequest, setTooltipMarkup, setTooltipText, show, showAll`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FontButton

          public FontButton()

      Construct a FontButton.
      Since:
        4.0.10

  - ### Method Detail

    - #### connect

          public void connect(FontButton.FontSet handler)

      Hook up a `FontButton.FontSet` handler.
      Since:
        4.0.10

    - #### getFontName

          public String getFontName()

      Get the name of the font currently selected by this FontButton.
      Since:
        4.0.10

    - #### setFontName

          public void setFontName(String name)

      Set the font name to be show in this FontButton.
      Since:
        4.0.17

    - #### setShowSize

          public void setShowSize(boolean setting)

      Whether the font size is to be shown on the FontButton.
      Since:
        4.0.17